summaryrefslogtreecommitdiffstats
path: root/ci/envs/cyclictest.sh
diff options
context:
space:
mode:
authorJiang, Yunhong <yunhong.jiang@intel.com>2016-09-21 23:09:58 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-09-21 23:09:58 +0000
commit1e8736aefffd6a42ed3700cb22a6a97c7468a02c (patch)
tree655f33172b35ab80000084012462bb79e9f03568 /ci/envs/cyclictest.sh
parent8647dbbe9db84d71610f42cec6ff619783d99800 (diff)
parent40a5f2a48ab343bf24a69af2b1b8bcd09798be3c (diff)
Merge "This patch includes scripts to verify the sha512sum of the guest image. Also contains scripts to exit the test if the test_type is not verify/daily/merge."
Diffstat (limited to 'ci/envs/cyclictest.sh')
-rwxr-xr-xci/envs/cyclictest.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/ci/envs/cyclictest.sh b/ci/envs/cyclictest.sh
index 747f34758..4c5440d71 100755
--- a/ci/envs/cyclictest.sh
+++ b/ci/envs/cyclictest.sh
@@ -7,7 +7,7 @@
source utils.sh
HOST_IP=$( getHostIP )
-pod_config='/opt/pod.yaml'
+pod_config='/opt/scripts/pod.yaml'
cyclictest_context_file='/opt/cyclictest-node-context.yaml'
if [ ! -f ${pod_config} ] ; then
@@ -25,5 +25,10 @@ sudo ssh root@$HOST_IP "cp /root/images/guest1.qcow2 /root/"
#Running cyclictest through yardstick
yardstick -d task start ${cyclictest_context_file}
+output=$?
chmod 777 /tmp/yardstick.out
cat /tmp/yardstick.out > /opt/yardstick.out
+if [ $output != 0 ];then
+ echo "Someproblem with execution of Yardstick"
+ exit 1
+fi